Skip to Content
OpenRoam Docs
Wallets

List wallets

Lists all of the partner's wallets.

GET
/v1/wallets

Lists all of the partner's wallets.

Returns the whole list as an array, without paging. Each wallet has its id, label, balance, whether it isSelected (the wallet that pays for orders) and its currency.

Authorization

PartnerApiKey
headerX-Partner-Key<token>

Partner API Key (X-Partner-Key)

Response Body

OK

  1. response
[index: integer]?

A partner wallet.

Example Request
curl -X GET 'https://api.sandbox.openroam.com/v1/wallets'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "label": "string",    "balance": 0,    "isSelected": true,    "currency": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "code": "string",      "rateToUsd": 0,      "rateDate": "2019-08-24T14:15:22Z",      "dailyPercentageDifference": 0    }  }]